FileChooserUI (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: FileChooserUI
Keywords: javax.swing.plaf.FileChooserUI class

Module java.desktop
Package javax.swing.plaf

# Class FileChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.FileChooserUI

Direct Known Subclasses:
  `BasicFileChooserUI`, `MultiFileChooserUI`

    public abstract class FileChooserUI
    extends ComponentUI

Pluggable look and feel interface for `JFileChooser`.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FileChooserUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract void` | `ensureFileIsVisible​(JFileChooser fc, File f)` | Ensure the file in question is visible.
  `abstract FileFilter` | `getAcceptAllFileFilter​(JFileChooser fc)` | Returns an accept-all file filter.
  `abstract String` | `getApproveButtonText​(JFileChooser fc)` | Returns approve button text.
  `JButton` | `getDefaultButton​(JFileChooser fc)` | Returns default button for current `LookAndFeel`.
  `abstract String` | `getDialogTitle​(JFileChooser fc)` | Returns the dialog title.
  `abstract FileView` | `getFileView​(JFileChooser fc)` | Returns a file view.
  `abstract void` | `rescanCurrentDirectory​(JFileChooser fc)` | Rescan the current directory.

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileChooserUI

    public FileChooserUI()

- ## Method Details

  - ### getAcceptAllFileFilter

    public abstract FileFilter getAcceptAllFileFilter​(JFileChooser fc)
    Returns an accept-all file filter.
    Parameters:
      `fc` - the file chooser
    Returns:
      an accept-all file filter

  - ### getFileView

    public abstract FileView getFileView​(JFileChooser fc)
    Returns a file view.
    Parameters:
      `fc` - the file chooser
    Returns:
      a file view

  - ### getApproveButtonText

    public abstract String getApproveButtonText​(JFileChooser fc)
    Returns approve button text.
    Parameters:
      `fc` - the file chooser
    Returns:
      approve button text.

  - ### getDialogTitle

    public abstract String getDialogTitle​(JFileChooser fc)
    Returns the dialog title.
    Parameters:
      `fc` - the file chooser
    Returns:
      the dialog title.

  - ### rescanCurrentDirectory

    public abstract void rescanCurrentDirectory​(JFileChooser fc)
    Rescan the current directory.
    Parameters:
      `fc` - the file chooser

  - ### ensureFileIsVisible

    public abstract void ensureFileIsVisible​(JFileChooser fc, File f)
    Ensure the file in question is visible.
    Parameters:
      `fc` - the file chooser
      `f` - the file

  - ### getDefaultButton

    public JButton getDefaultButton​(JFileChooser fc)
    Returns default button for current `LookAndFeel`. `JFileChooser` will use this button as default button for dialog windows.
    Parameters:
      `fc` - the `JFileChooser` whose default button is requested
    Returns:
      the default JButton for current look and feel
    Since:
      1.7